package xyz.thastertyn.UserInterface.Content;

import java.util.ArrayList;

import com.googlecode.lanterna.gui2.Direction;
import com.googlecode.lanterna.gui2.GridLayout;
import com.googlecode.lanterna.gui2.Label;
import com.googlecode.lanterna.gui2.LinearLayout;
import com.googlecode.lanterna.gui2.Panel;

import xyz.thastertyn.Tuples.Pair;
import xyz.thastertyn.UserInterface.UpdateListener;

public class OmluvnyList extends JecnaContent{
	
	private xyz.thastertyn.Scrape.OmluvnyList omluvnyList = new xyz.thastertyn.Scrape.OmluvnyList();

	public OmluvnyList(UpdateListener listener)
	{
		super(listener);
		this.mainPanel = new Panel()
			.setLayoutManager(new GridLayout(1));
		this.borderLabel = new Label("Omluvny L.");
		super.scraper = omluvnyList;
	}

	@Override
	protected void setGUI()
	{
		this.mainPanel.removeAllComponents();
		ArrayList<Pair<String, String>> a = omluvnyList.getData();

		Panel content = new Panel()
			.setLayoutManager(new LinearLayout(Direction.VERTICAL))
			.addTo(mainPanel);

		for(Pair<String, String> p : a)
		{
			content.addComponent(new Label(p.getValue0() + " - " + p.getValue1()));
		}
	}
}
